Skip to main content
GET
/
v1
/
tokens
/
feed
Get a feed of token cards with recent comments for each
curl --request GET \
  --url https://api.clicker.xyz/v1/tokens/feed \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "token": {
        "chain": "ethereum",
        "symbol": "<string>",
        "name": "<string>",
        "address": "<string>",
        "images": {
          "raw": "<string>",
          "xs": "<string>",
          "sm": "<string>"
        },
        "commentCount": 123
      },
      "entries": [
        {
          "actor": {
            "type": "user",
            "address": "<string>",
            "name": "<string>",
            "images": {
              "raw": "<string>",
              "xs": "<string>",
              "sm": "<string>"
            },
            "profile": {
              "id": "<string>",
              "name": "<string>",
              "images": {
                "raw": "<string>",
                "xs": "<string>",
                "sm": "<string>"
              },
              "addresses": [
                "<string>"
              ],
              "metadata": {
                "farcasterUsername": "<string>",
                "farcasterId": 123,
                "lensHandle": "<string>",
                "ensName": "<string>",
                "twitterHandle": "<string>",
                "debankName": "<string>",
                "commentCount30d": 123,
                "pnl30d": 123,
                "winRate30d": 123,
                "tradeCount30d": 123,
                "roiPercent30d": 123
              }
            }
          },
          "comment": {
            "uid": "<string>",
            "transactionHash": "<string>",
            "chain": "ethereum",
            "tokenAddress": "<string>",
            "commentText": "<string>",
            "timestamp": 123,
            "isAppUserComment": true,
            "perPosition": {
              "metrics": {
                "copyCount": 123,
                "copyVolume": "<string>"
              },
              "commentCount": 123
            },
            "signerAddress": "<string>",
            "replies": [
              {
                "id": "<string>",
                "text": "<string>",
                "author": {
                  "type": "user",
                  "address": "<string>",
                  "name": "<string>",
                  "images": {
                    "raw": "<string>",
                    "xs": "<string>",
                    "sm": "<string>"
                  },
                  "profile": {
                    "id": "<string>",
                    "name": "<string>",
                    "images": {
                      "raw": "<string>",
                      "xs": "<string>",
                      "sm": "<string>"
                    },
                    "addresses": [
                      "<string>"
                    ],
                    "metadata": {
                      "farcasterUsername": "<string>",
                      "farcasterId": 123,
                      "lensHandle": "<string>",
                      "ensName": "<string>",
                      "twitterHandle": "<string>",
                      "debankName": "<string>",
                      "commentCount30d": 123,
                      "pnl30d": 123,
                      "winRate30d": 123,
                      "tradeCount30d": 123,
                      "roiPercent30d": 123
                    }
                  }
                },
                "timestamp": 123
              }
            ]
          },
          "trade": {
            "tokenAmount": 123,
            "usdCost": 123,
            "marketCap": 123,
            "timestamp": 123,
            "transactionHash": "<string>",
            "direction": "buy",
            "intent": "enter",
            "perpPositionType": "long",
            "perpLeverage": 123
          },
          "itemId": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "olderCursor": "<string>",
    "olderItemsURL": "<string>",
    "newerCursor": "<string>",
    "newerItemsURL": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number

The total number of transactions to respond with. Defaults to 25.

chains
enum<string>[]

If included, only include transactions with actions on the provided chains. Defaults to base, ethereum, solana. Pass all to see transactions on all supported chains.

Available options:
ethereum,
optimism,
polygon,
arbitrum,
zora,
base,
zero,
solana,
hyperliquid,
all
minTradeUsd
number

Filter to trades with absolute USD value >= this amount. Allowed values: 10, 100, 500, 1000

minMarketCap
number

Filter to trades with token market cap >= this amount. Allowed values: 100000, 1000000, 10000000

maxMarketCap
number

Filter to trades with token market cap < this amount. Allowed values: 100000, 1000000, 10000000

Response

200

items
object[]
required
pagination
object
required